package kuzumeji.action.home.sys;
import kuzumeji.action.home.BaseEntityHome;
import kuzumeji.entity.sys.Option;
import org.jboss.seam.annotations.Name;
/**
 * OptionHome
 * @author nilcy
 */
@Name("optionHome")
public class OptionHome extends BaseEntityHome<Option> {
    /** serialVersionUID*/
    private static final long serialVersionUID = -3488482722046033421L;
    /**
     * get OptionId
     * @return OptionId
     */
    public Long getOptionId() {
        return (Long) getId();
    }
    /**
     * set OptionId
     * @param aOptionId OptionId
     */
    public void setOptionId(Long aOptionId) {
        setId(aOptionId);
    }
    @Override
    protected Option createInstance() {
        Option option = new Option();
        return option;
    }
    /**
     * load
     */
    public void load() {
        if (isIdDefined()) {
            wire();
        }
    }
    /**
     * load
     */
    public void wire() {
        getInstance();
    }
    /**
     * isWired
     * @return isWired
     */
    public boolean isWired() {
        return true;
    }
    /**
     * getDefinedInstance
     * @return DefinedInstance
     */
    public Option getDefinedInstance() {
        return isIdDefined() ? getInstance() : null;
    }
}
